var date = new Date(2013, 7, 15);
var title = "Titanium iOS Calendar Testcase";
var calendar;

initializeCalendar();

var event = calendar.createEvent({
	title: title,   
    begin: date,
    end: date,   
    notes: title,
    allDay: true,
});
event.save();

var event = findEventByName(title, date);
if (event != undefined) {
	Ti.API.log("Search date: " + date);
	Ti.API.log(event.id + " at " + event.begin + ": " + event.title);
}

date.setMonth(date.getMonth() + 1);
event = findEventByName(title, date);
if (event != undefined) {
	Ti.API.log("Search date: " + date);
	Ti.API.log(event.id + " at " + event.begin + ": " + event.title);
}

function findEventByName(title, date)
{
	var events = calendar.getEventsInMonth(date.getFullYear(), date.getMonth());

	for (var i = 0; i < events.length; i++) {
		if (events[i].title == title) {
			return events[i];
		}
	}
	
	return null;
}

function initializeCalendar()
{
	Ti.Calendar.requestEventsAuthorization(function(e) {
		if (e.success) {
			calendar = Ti.Calendar.getDefaultCalendar();
		} else {
			Ti.API.error("Unable to acquire calendar access");
		}
	});
}
