function Controller() {
    function findEventByName(title, date) {
        var events = calendar.getEventsInMonth(date.getFullYear(), date.getMonth());
        for (var i = 0; events.length > i; i++) if (events[i].title == title) return events[i];
        return null;
    }
    function initializeCalendar() {
        Ti.Calendar.requestEventsAuthorization(function(e) {
            e.success ? calendar = Ti.Calendar.getDefaultCalendar() : Ti.API.error("Unable to acquire calendar access");
        });
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    var $ = this;
    var exports = {};
    $.__views.index = Ti.UI.createWindow({
        backgroundColor: "white",
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var date = new Date(2013, 7, 15);
    var title = "Titanium iOS Calendar Testcase";
    var calendar;
    initializeCalendar();
    var event = calendar.createEvent({
        title: title,
        begin: date,
        end: date,
        notes: title,
        allDay: true
    });
    event.save();
    var event = findEventByName(title, date);
    if (void 0 != event) {
        Ti.API.log("Search date: " + date);
        Ti.API.log(event.id + " at " + event.begin + ": " + event.title);
    }
    date.setMonth(date.getMonth() + 1);
    event = findEventByName(title, date);
    if (void 0 != event) {
        Ti.API.log("Search date: " + date);
        Ti.API.log(event.id + " at " + event.begin + ": " + event.title);
    }
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;